Bug 1428122 - Creating or copying a report drops browser session and returns to sign in screen
Summary: Creating or copying a report drops browser session and returns to sign in screen
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: GA
: 5.7.2
Assignee: Harpreet Kataria
QA Contact: Jiri Stefanisin
URL:
Whiteboard:
Depends On: 1427999
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-01 20:34 UTC by Satoe Imaishi
Modified: 2017-05-02 16:43 UTC (History)
9 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1427999
Environment:
Last Closed: 2017-04-12 14:40:44 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-01 20:45:55 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/bab85d525731acbe943ec71a7ec4a691d85fc006

commit bab85d525731acbe943ec71a7ec4a691d85fc006
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed Mar 1 12:21:40 2017 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Mar 1 15:42:35 2017 -0500

    Merge pull request #532 from h-kataria/reports_editor_fix_move_out_cb_vars_from_session
    
    Moved cb_entities_by_provider_id hash out of @edit
    (cherry picked from commit 0eaea55bbafae0696d60dcc1d13c7ea31afe15d3)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1428122

 .../report_controller/reports/editor.rb            | 33 ++++++++++++----------
 app/views/report/_form_filter_chargeback.html.haml |  4 +--
 spec/controllers/report_controller_spec.rb         | 22 +++++++++++++++
 3 files changed, 42 insertions(+), 17 deletions(-)

Comment 3 Dana Safford 2017-03-25 02:06:20 UTC
I just set the customer escalation flag.  We need to get some form of fix to the customer.
I'd like to offer them a copy of whatever we have in QA now. We can let them decide whether them want to run it now or wait for QA to finish.  

So when will the QA be finished??

Comment 7 errata-xmlrpc 2017-04-12 14:40:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.